Retrieves the equipment_model object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "3e3b3eb4-b19f-43d5-9ed1-c86d9ad0ed9b",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "4f2e16a8-4505-438d-817a-bd71a51d434a",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "45972155-c63e-49bc-b693-fc067ebc6063",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "5d309492-43cf-4b57-94f1-24cc179eceb0",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "3a898c34-a5ca-493b-966e-1674aacff1c5",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "d738fc02-a950-40af-8c46-7f1b98633f68",
      "db_currency_id": "a7053d62-829f-4642-88b2-237ac03c79ec",
      "db_language_id": "01fec16a-ee7d-4885-b05a-0bf4c627fb10",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-22T17:06:52.3932166+00:00"
    },
    "modified_dateutc": "2026-11-22T17:06:52.3932166+00:00"
  },
  "equipment_family_id": "d92205af-c8ca-437a-8854-9e06641169f7",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "d1ffed4b-6750-4caa-bd27-2e82ddac7201",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "5a6449cb-ef90-4319-b4a5-c7ee9e9e72a7",
    "_parent_code": "sample string 6",
    "sales_organization_id": "0c276ecd-305b-46c9-8173-25fd47d71807",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "3a898c34-a5ca-493b-966e-1674aacff1c5",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "d738fc02-a950-40af-8c46-7f1b98633f68",
      "db_currency_id": "a7053d62-829f-4642-88b2-237ac03c79ec",
      "db_language_id": "01fec16a-ee7d-4885-b05a-0bf4c627fb10",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-22T17:06:52.3932166+00:00"
    },
    "modified_dateutc": "2026-11-22T17:06:52.3932166+00:00"
  },
  "date_in_production_since": "2026-11-22T17:06:52.3932166+00:00",
  "date_out_of_production_since": "2026-11-22T17:06:52.3932166+00:00",
  "date_end_support": "2026-11-22T17:06:52.3932166+00:00",
  "sales_organization_id": "1b90fe49-7f36-4332-8668-189067d3a920",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "3a898c34-a5ca-493b-966e-1674aacff1c5",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "d738fc02-a950-40af-8c46-7f1b98633f68",
    "db_currency_id": "a7053d62-829f-4642-88b2-237ac03c79ec",
    "db_language_id": "01fec16a-ee7d-4885-b05a-0bf4c627fb10",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-22T17:06:52.3932166+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-11-22T17:06:52.3932166+00:00"
}